<?xml version="1.0" encoding="utf-8"?>
<group name="ChatWndGroup" bkgrd-skin="0">
  <obj  name="ChatWndBorder" left="0" top="0"
 bkgrd-image="public\image\rc_border.png"
 bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT | DIF_STRETCH" bkgrd-stretch-zone="4,4,-4,-4"
 bkgrd-skin="0" />
  <vbox name="ChatWnd"  wnd-property="ChatWnd" recalc-size="1">
    <!--Head Title -->
    <hbox name="Title" height="28"  >
      <obj class="Picture" name="PicTitle" image="public\image\im\chat.png" bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
                left="6" top="6" width="16" height="16" />
      <spacer width="5" />
      <obj class="Static" name="StaticTitle" style="SS_SIMPLE| WS_DISABLED" font-color-disabled="#AutoFontColor"
                  top="4" height="22" width="400" />
      <spacer flex="1" />
      <hbox  height="20" top="4">
        <obj class="Button" name="BtnMinimize" width="20" image="public\image\Button_Minsize.png@20x20" image-inner="0,0,0,0" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" bkgrd-skin="0"/>
        <group width="20">
          <obj class="Button" name="BtnMaximize" image="public\image\Button_Maxsize.png@20x20" image-inner="0,0,0,0" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" bkgrd-skin="0"/>
          <obj class="Button" name="BtnRestore" image="public\image\Button_Restore.png@20x20" image-inner="0,0,0,0" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" bkgrd-skin="0"/>
        </group>
        <obj class="Button" name="BtnClose" width="20" image="public\image\Button_Close.png@20x20" image-inner="0,0,0,0" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" bkgrd-skin="0"/>
      </hbox>
      <spacer width="12" />
    </hbox>
    <!--Action Area-->
    <hbox name="ActionArea" height="40">
      <spacer width="10" />
      <!--Be friend-->
      <hbox name="FriendArea" width="75" height="34">
        <obj class="Button" name="BtnTransfer" style="BS_ICON" icon="public\image\im\Fileshare.png@30x30" icon-index="0"
             width="34" take-tooltip="1" tstringid="50145" bkgrd-skin="0"/>
        <spacer width="5" />
        <obj class="Button" name="BtnBlock" style="BS_ICON" icon="public\image\im\BlockUser.png@30x30" icon-index="0"
             width="34" take-tooltip="1" bkgrd-skin="0"/>      
      </hbox>
      <!--Not friend-->
      <hbox name="NotFriendArea" width="75" height="36" hidden="1">
        <obj class="Button" name="BtnAddContact" style="BS_ICON" icon="public\image\im\AddContact.png@30x30" icon-index="0"
             width="34" take-tooltip="1" tstringid="30117" bkgrd-skin="0"/>
        <spacer width="5" />
        <obj class="Button" name="BtnSetBackList" style="BS_ICON" icon="public\image\im\blacklist.png@30x30" icon-index="0"
             width="34" take-tooltip="1" tstringid="50114" bkgrd-skin="0"/>
      </hbox>
      <spacer width="5" />
      <obj class="Button" name="BtnReport" style="BS_ICON" icon="public\image\im\report.png@30x30" icon-index="0"
           width="34" height="34" take-tooltip="1" tstringid="50149" bkgrd-skin="0"/>
      <spacer flex="1" />
      <!--pic advertisement-->
      <obj class="ADFlash" name="PicAdvertisement" width="180" height="36" adsource="im"/>
      <spacer width="5" />
    </hbox>
    <!--The main area-->
    <vbox name="MainArea" left="2" right="-2"  bottom="-2"
          bkgrd-image="public\image\im\im_bg.png"
          bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT | DIF_STRETCH"
          bkgrd-stretch-zone="2,49,-2,-35" bkgrd-skin="0">
    <hbox name="MainContent" bottom="-40" >
      <!--LeftSide-->
      <vbox name="LeftSide" width="123" >
        <hbox name="UserLogoOuterBkg" left="21" top="17" width="104" height="104"
                    bkgrd-image="public\image\im\im_photo_box.png"
                    bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                    bkgrd-stretch-zone="2,2,-2,-2">
          <obj class="SpecialUserLogo" name="PicUserTo" style="BS_PUSHLIKE| SS_CENTERIMAGE" left="2" top="2" width="100" height="100"
                image="public\image\im\IMLogo.png"
                bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
                bkgrd-skin="0" />   
        </hbox>
        <!--Achieve area-->
        <vbox name="Achieve" left="21" top="5" width="104" height="65">
          <hbox name="JifenArea" height="20">
            <obj class="Static" name="StaticLevel" style="SS_SIMPLE" calc-size="1,0" width="5"/>
            <obj class="Button" name="BtnLevel" take-tooltip="1" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                icon="public\image\usergrade.png@15x15" icon-index="0" align-style="center" style="BS_ICON"
                 image="" capture-cursor="0" left="2" top="2" width="15" height="15" bkgrd-skin="0"/>
          </hbox>
          <obj class="MedalToolbar" name="MedalEffects" height="45" take-notify-tooltip="1" icon-space="5"/>
        </vbox>
        <hbox name="GameBox" left="21" width="104" height="80" hidden="1">
          <obj class="Button" name="BtnGame" style="BS_ICON" align-style="center" icon="public\image\game2.png@16x16"
            icon-index="0" image="" capture-cursor="0"  height="16" width="16" bkgrd-skin="0"/>
          <spacer width="5" />
          <obj name="EditPlayingGame" flex="1"/>
        </hbox>
        <hbox name="GotoFacebbook" height="30" top="5" left="21" hidden="1">
          <obj class="Button" name="BtnGoToFacebook" stringid="50115" style="BS_ICON"
               image=""
               bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
               icon="public\image\im\Fb_small.png@16x16" icon-index="0"
               icon-space="5"
               top="2" bkgrd-skin="0" />          
        </hbox>
        <spacer flex="1" />
        <hbox name="SelfLogoOuterBkg" left="21" width="104" height="104"
                    bkgrd-image="public\image\im\im_photo_box.png"
                    bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                    bkgrd-stretch-zone="2,2,-2,-2">
          <obj class="SpecialUserLogo" name="PicSelf" style="BS_PUSHLIKE" left="2" top="2" width="100" height="100"
                image="public\image\im\IMLogo.png"
                bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
                bkgrd-skin="0"/>
        </hbox>
        <spacer height="15" />
      </vbox>
      <spacer width="10"/>
      <group name="MidSpliter" width="9">
        <obj class="Button" name="ButtonExpand" image="public\image\im\Button_Expand.png@9x342" 
             bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH" 
             bkgrd-stretch-zone="6,230,-2,-10"/>
        <obj class="Button" name="ButtonCollapse" image="public\image\im\Button_Collapse.png@9x342" 
             bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH" 
             bkgrd-stretch-zone="4,230,-4,-10"/>
      </group>
      <!--RightSide-->
      <vbox name="RightSide" left="2" right="-22" >
        <spacer height="10" />
        <!--BaseInfoBox-->
        <hbox name="BaseInfo" right="-16" height="25">
          <hbox name="NickSignArea" height="23">
            <spacer width="3" />
            <obj class="Static" name="StaticNick" style="SS_SIMPLE" font="system-default@14px" top="3" height="20" calc-size="1,0" min-max-size="10,0" />
            <spacer name="SplitterTop" top="5" height="14" width="2" bkgrd-image="public\image\splitter_textInput.png"
                      bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                      bkgrd-skin="0"/>
            <spacer width="3" />
            <obj class="Static" name="StaticSign" style="SS_SIMPLE" font-color="#SubTitleFontColor" left="2" right="-2" top="3" height="20" take-notify-tooltip="1" />
            <hbox name="ServerIn" top="3" height="20" left="2" right="-2" hidden="1">
              <obj class="Picture" name="PicChannel" height="18" width="18" bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                 image="public\image\mylocation.png" bkgrd-skin="0"/>
              <spacer width="2"/>
              <obj class="ButtonLink" name="LinkJoinChannel" height="18"
                calc-size="1,0" min-max-size="60,0"
                extended-style=" HLINK_COMMANDBUTTON |HLINK_UNDERLINEHOVER"
                font-underline="system-default@12px#underline"
                font="system-default@12px"
                font-color="21,65,123"
                font-color-hover ="21,65,123"
                bkgrd-skin="0" />
            </hbox>
          </hbox>
        </hbox>
          <!--Transfer Box-->
          <hbox name="TransferBox" right="-1"  minheight="33" maxheight="89" height="33" hidden="1" bkgrd-skin="0">
            <obj name="FileShareView" flex="1" top="1"  bkgrd-color="#WhiteColorStr"/>
          </hbox>
          <splitter name="SplitterTransferBox" height="1" hidden="1"/>
          <vbox name="xxxxx" flex="1">
          <obj name="SplitterTransferBox" bkgrd-image="public\image\im\im_top_spliter.png"
                                  bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                                  style="WS_DISABLED"
                                  left="20" height="2" />
            
          <!--NotifyArea-->
          <hbox name="NotifyArea" height="22" bkgrd-color="#ChatWndNotifyFontColor" left="10" bkgrd-skin="1" hidden="1">
            <hbox name="NotifyBox" left="5" right="-30" top="3">
              <obj name="EditNotify" flex="1" bkgrd-color="#ChatWndNotifyFontColor"/>
            </hbox>
            <obj class="Button" name="BtnCloseNotify" image="public\image\tipCloseBtn.png@11x10"
                 bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                 width="11" height="10" left="10" top="5"
                 bkgrd-skin="0"/>
          </hbox>
            <!--EffectFeed Box-->
          <hbox name="EffectFeedBox" height="25" left="12" hidden="1">
            <obj class="Picture" name="PicEffectFeed" bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT" top="4" width="16" height="16"/>
            <spacer width="5" />
            <obj class="Static" name="StaticEffectFeed" style="SS_SIMPLE"  font-color="#SubTitleFontColor" top="3" height="20" calc-size="1,0" min-max-size="10,0" />
            <spacer width="3" />
            <obj class="ButtonLink" name="LinkEffectFeed" top="3" height="20"
              extended-style=" HLINK_COMMANDBUTTON |HLINK_UNDERLINEHOVER"
              font-color="3,112,218"
              font-color-hover ="3,112,218"
              bkgrd-skin="0" />
          </hbox>
            <!--GameFeed Box-->
          <hbox name="GameFeedBox" height="25" left="12" hidden="1">
            <obj class="Picture" name="PicGameFeed" bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT" top="4" width="16" height="16"/>
            <spacer width="5" />
            <obj class="Static" name="StaticGameFeed" font="system-default@12px" style="SS_SIMPLE"  font-color="#SubTitleFontColor" top="3" height="20" calc-size="1,0" min-max-size="10,0" />
            <spacer width="3" />
            <obj class="ButtonLink" name="LinkGameFeed" top="3" height="20"
              extended-style=" HLINK_COMMANDBUTTON |HLINK_UNDERLINEHOVER"
              font-color="3,112,218"
                 font="system-default@12px"
              font-color-hover ="3,112,218"
              bkgrd-skin="0" />
          </hbox>
          <!--Edit Recv Msg-->
          <hbox  name="MsgDisplayArea" left="10" flex="1">
            <obj  name="EditRecv" font="system-default@12px" flex="1" />
            <obj  name="ScrollRecv"  vscroll="#Scrollbar.vscroll"  iconset="#Scrollbar.vscroll-iconset"  width="14" hidden="1" />
          </hbox>
          <!--FontWnd Box-->
          <hbox name="FontWnd" left="13" right="-13" height="36" hidden="1" 
                               bkgrd-image="public\image\bkg_4.png"
                               bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                               bkgrd-stretch-zone="4,4,-4,-4" >
            <obj name="FontSelectWnd" left="2" top="2" right="-2" bottom="-2" />
          </hbox>

          <spacer height="2" />
          <vbox name="SendArea"  height="102"
                bkgrd-stretch-mode="DIF_ALPHATRANSPARENT| DIF_STRETCH"
                bkgrd-stretch-zone="24,31,-13,-24"
                bkgrd-image="public\image\im\im_input_box.png" >
            <!--font toolbar-->
            <hbox name="Toolbar" height="26">
              <spacer width="20" />
              <obj class="Button" name="BtnFont" style="BS_BITMAP" top="3" height="20" width="24"
                  bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" image="public\image\FontButton.png@24x20"
                   take-tooltip="1" tstringid="50146" />
              <spacer width="5" />
              <obj class="Button" name="BtnEmotion" style="BS_BITMAP" top="3" height="20" width="24"
                   bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"	image="public\image\FaceButton.png@24x20"
                   take-tooltip="1" tstringid="50147"  />
              <spacer width="5" />
              <obj class="Button" name="BtnScreenShot" style="BS_BITMAP" top="3" height="20" width="24"
								  bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"	image="public\image\ScreenShot.png@24x20"
                  take-tooltip="1" tstringid="50148" />
              <spacer width="5" />
              <obj class="Button" name="BtnNudge" style="BS_BITMAP"  top="3" height="20" width="24" 
									  bkgrd-stretch-mode="DIF_ALPHATRANSPARENT" image="public\image\im\Nudge.png@24x20" take-tooltip="1" tstringid="50177"/>
              <spacer flex="1" />
              <obj class="Button" name="BtnHistory" style="BS_ICON" icon="public\image\im\history.png@16x16" icon-index="0"
                   top="3" height="20" width="24" take-tooltip="1" tstringid="50102"/>
              <spacer width="10" />
            </hbox>
            <!--Edit Send Msg-->
            <hbox name="SendBound" >
              <hbox top="1" left="22" right="-10" bottom="-10" >
                <hbox flex="1">
                  <obj name="EditSend"  font="system-default@12px"  flex="1"/>
                  <obj name="ScrollSend" iconset="#Scrollbar.vscroll-iconset"  width="18" hidden="1"/>
                </hbox>
                <spacer width="5" />
                <vbox width="35"  name="SendMsgBtnArea" bkgrd-skin="0">
                  <spacer flex="1"/>
                  <hbox height="30">
                    <obj class="Button" name="BtnSend" image="public\image\BaseButton.png@14x37"
                          bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                         style="BS_ICON" icon="public\image\im\btn_publish.png@22x9"
                        icon-index="0" width="40" height="30" take-tooltip ="1" tstringid="40003" align-style="center"/>     
                  </hbox>
                  <spacer flex="1"/>
                </vbox>
                <spacer width="8" />
              </hbox>
            </hbox>
          </vbox>
          </vbox>
      </vbox>    
    </hbox>
    <!--Bottom area -->
    <hbox name="BottomArea" left="1"  right="-1" bottom="-2" >
      <obj class="ADStatic" name="LinkTextAd"
       height="20" top="12" left="20" right="-140" hidden="1"
       />
    </hbox>
    </vbox>
  </vbox>
  <obj  name="ChatWndBkcolor" bkgrd-color="#ThemeColor"  bkgrd-skin="0"/>
</group>